% demo script for measure matching algorithm
% Rangarajan experiments
%
% author : Joan Glaunès - joan.glaunes@free.fr

data = dir('demodata*');
for k = 1:5
    clear x* y*
    clear s

    load(data(k).name);
    x = who('x*');
    y = who('y*');
    s.x = eval(x{1})';
    nx = size(s.x,2);
    s.x = [s.x;zeros(1,nx)];
    s.y = eval(y{1})';
    ny = size(s.y,2);
    s.y = [s.y;zeros(1,ny)];
    
    s.useoptim = 'adaptdesc';
    s.optim_maxiter = 1000;
    s = measmatch(s);

    % display
    figure
    s.showminim = 1;
    s.showgrid = 1;
    affiche(s);
end
